List Payment Methods

get https://app.mk.io/api/v1/organization/paymentMethods

Listing, Sorting and Filtering Payment Methods

This endpoint returns the list of payment methods.

Sorting

The results from this endpoint can be ordered using the $orderby query parameter. Specify a list of field names, separated by commas where each one can optionally specify asc or desc.

Sorting is valid on the following fields: aws/awsAccountId, azure/azureSaasSubscriptionId, azure/azureSaasSubscriptionName, created, createdBy, displayName, id, type

Filtering

The $filter query parameter allows for payment methods to be filtered on the basis of fields in the schema using OData query syntax. See this document for more details on the syntax used.

Filters are valid on the following fields: aws/awsAccountId, azure/azureSaasSubscriptionId, azure/azureSaasSubscriptionName, created, createdBy, createdByEmail, createdByName, displayName, id, type

Examples:

?$top=10 - Returns only the first 10 payment methods from the list.

?$orderby=created desc - Sorts payment methods by creation date in descending order.

?$filter=created ge 2021-01-01T00:00:00Z - Returns payment methods created after January 1, 2021.

Authentication

Authorization Bearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

$orderby string Optional
Specifies the key by which the result collection should be ordered.
$filter string Optional
Restricts the set of items returned.
$top string Optional
Specifies a non-negative integer n that limits the number of items returned from a collection. The service returns the number of available items up to but not greater than the specified value n.
$skiptoken string Optional
Specifies a start offset to support paginated results. Use @odata.nextLink in the result object to enumerate the collection - it will be present only if there's more than one page of entities.

Response

200 A list of all payment methods
@odata.nextLinkstringOptional
@odata.nextLink URL if the page length and number of items match.
supplementalobjectListResponseSupplementalSchemaRequired
Supplemental info
Show 5 propertiesHide 5 properties
countintegerRequired
Number of items returned
kindstringRequired
Type of items in the list
operationstringRequired
Operation type. Should always say 'list'
paginationobjectPaginationInfoSchemaRequired
Pagination info
Show 4 propertiesHide 4 properties
endintegerRequired
Position of the last item in the list
recordsintegerRequired
Total number of items returned in the list
startintegerRequired
Position of the first item in the list
totalintegerRequired
Total number of items in the project
subscriptionobjectProjectInfoSchemaOptional
Project info
Show 2 propertiesHide 2 properties
idstringRequired
Project ID
namestringRequired
Project name
valuelist of objectsPaymentMethodSummarySchemaRequired
Method list.
Show 4 propertiesHide 4 properties
metadataobjectPaymentMethodMetadataOptional
Metadata.
Show 6 propertiesHide 6 properties
createdstringOptionalformat: date-time
The time when the resource was created
createdBystringOptionalformat: uuid
ID of the user who created the resource
createdByEmailstringOptional
Email of the user who created the resource
displayNamestringOptional
The display name of the resource
idstringRequiredformat: uuid
The ID of the resource
organizationIdstring or nullRequiredformat: uuid
The ID of the organization this Payment Method belongs to.
relatedobjectPaymentMethodRelatedOptional
Related data.
Show 1 propertyHide 1 property
projectslist of stringsRequired
List of project names which are billed using this payment method.
specobjectRequired
Specification.
Show 3 variantsHide 3 variants

Discriminated by type. Select one variant:

azureobjectPaymentMethodAzureSpec
allowedOrganizationslist of strings or nullOptional
If set, only these organization IDs are allowed to use this payment method.
autoPurchaseBeamLicensesbooleanRequired
Specifies whether Beam usage should be billed through monthly charges (true) or by the minute (false).
azureOfferIdstring or nullOptional
The Azure offer ID.
azurePlanNamestring or nullOptional
The Azure plan name.
azurePrivateOfferIdstringOptionalformat: uuid
The Partner Center private offer UUID. Present only for azure_private_offer payment methods.
azureSaasSubscriptionAutoRenewboolean or nullOptional
azureSaasSubscriptionEndstring or nullOptional
azureSaasSubscriptionIdstring or nullOptional
azureSaasSubscriptionNamestring or nullOptional
azureSaasSubscriptionStartstring or nullOptional
azureSaasSubscriptionStatusstring or nullOptional
notesstringOptional<=256 characters
Note to the customer.
productPublicationNamestringRequired
The name of the product publication that details the pricing for this payment method.
typestringRequired
Payment method type. Defaults to direct if not specified.
awsobjectPaymentMethodAWSSpec
allowedOrganizationslist of strings or nullOptional
If set, only these organization IDs are allowed to use this payment method.
autoPurchaseBeamLicensesbooleanRequired
Specifies whether Beam usage should be billed through monthly charges (true) or by the minute (false).
awsAccountIdstringOptional
The AWS account ID.
awsCustomerIdstring or nullOptional
Unique AWS account identifier specific to AWS SaaS Marketplace.
awsOfferIdstringOptional
Unique AWS private offer identifier.
awsProductCodestringOptional
The MK.IO product code in the AWS SaaS Marketplace.
awsStatusstring or nullOptional
notesstringOptional<=256 characters
Note to the customer.
productPublicationNamestringRequired
The name of the product publication that details the pricing for this payment method.
typestringRequired
Payment method type. Defaults to direct if not specified.
directobjectPaymentMethodDirectSpec
allowedOrganizationslist of strings or nullOptional
If set, only these organization IDs are allowed to use this payment method.
autoPurchaseBeamLicensesbooleanRequired
Specifies whether Beam usage should be billed through monthly charges (true) or by the minute (false).
notesstringOptional<=256 characters
Note to the customer.
productPublicationNamestringRequired
The name of the product publication that details the pricing for this payment method.
redeemedBystring or nullOptional
The email of the user who redeemed this sales order.
salesOrderNumberstringOptional
The document number from NetSuite, SOxxx
statusstringOptional
The status of the purchase order in MediaKind's systems.
typestringRequired
Payment method type. Defaults to direct if not specified.
statusobjectPaymentMethodStatusOptional
Status.
Show 2 propertiesHide 2 properties
isActivebooleanRequired
Is payment method active
termsAndConditionsAcceptedbooleanRequired
Whether the Terms & Conditions of this payment method have been accepted.

Errors

400 Bad Request
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
401 Unauthorized
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
403 Forbidden
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
404 Not Found
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
429 Too Many Requests
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
500 Internal Server Error
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code